# Uses of Class
javax.swing.event.AncestorEvent

Packages that use AncestorEvent
Package
Description
javax.swing.event
Provides for events fired by Swing components.

- ## Uses of AncestorEvent in javax.swing.event

  Methods in javax.swing.event with parameters of type AncestorEvent
  Modifier and Type
  Method
  Description
  `void`
  AncestorListener.`ancestorAdded(AncestorEvent event)`
  Called when the source or one of its ancestors is made visible either by setVisible(true) being called or by its being added to the component hierarchy.
  `void`
  AncestorListener.`ancestorMoved(AncestorEvent event)`
  Called when either the source or one of its ancestors is moved.
  `void`
  AncestorListener.`ancestorRemoved(AncestorEvent event)`
  Called when the source or one of its ancestors is made invisible either by setVisible(false) being called or by its being removed from the component hierarchy.